org.apache.maven.shared.io.scan

## Class StaleResourceScanner

- java.lang.Object
- - org.apache.maven.shared.io.scan.AbstractResourceInclusionScanner
  - - org.apache.maven.shared.io.scan.StaleResourceScanner

All Implemented Interfaces:
  ResourceInclusionScanner

    public class StaleResourceScanner
    extends AbstractResourceInclusionScanner

Version:
  $Id: StaleResourceScanner.java 1719477 2015-12-11 17:33:58Z khmarbaise $
Author:
  jdcasey

### Constructor Summary

Constructors
Constructor and Description
`StaleResourceScanner()` Create instance with defaults.
`StaleResourceScanner(long lastUpdatedWithinMsecs)`
`StaleResourceScanner(long lastUpdatedWithinMsecs, Set<String> sourceIncludes, Set<String> sourceExcludes)`

### Method Summary

All Methods Instance Methods Concrete Methods
`Set<File>` `getIncludedSources(File sourceDir, File targetDir)`

### Methods inherited from class org.apache.maven.shared.io.scan.AbstractResourceInclusionScanner

`addSourceMapping, getSourceMappings, scanForSources`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### StaleResourceScanner

    public StaleResourceScanner()

Create instance with defaults.

#### StaleResourceScanner

    public StaleResourceScanner(long lastUpdatedWithinMsecs)

Parameters:
  `lastUpdatedWithinMsecs` - last update within milli seconds.

#### StaleResourceScanner

    public StaleResourceScanner(long lastUpdatedWithinMsecs,
                                Set<String> sourceIncludes,
                                Set<String> sourceExcludes)

Parameters:
  `lastUpdatedWithinMsecs` - last update within milli seconds.
  `sourceIncludes` - source includes.
  `sourceExcludes` - source excludes.

### Method Detail

#### getIncludedSources

    public Set<File> getIncludedSources(File sourceDir,
                                        File targetDir)
                                 throws InclusionScanException

Parameters:
  `sourceDir` - `File`
  `targetDir` - `File`
Returns:
  The included sources.
Throws:
  `InclusionScanException` - in case of an error.